Get Agent
curl --request GET \
--url https://api.usesimple.ai/api/v1/agents/{agent_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.usesimple.ai/api/v1/agents/{agent_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.usesimple.ai/api/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prompt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": 123,
"user_id": 123,
"analyzers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"output_config": {}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"available_params": [],
"name": "Agent",
"first_sentence": "<string>",
"language": "en",
"record": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents
Get an AI Agent Configuration with the API
Retrieve the latest configuration for a Simple AI voice agent, or request a specific saved version when you need stable call behavior.
GET
/
agents
/
{agent_id}
Get Agent
See the AI agents guide for an overview of prompts, voices, tools, and agent versions.
Authorizations
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
The first sentence the agent will say when starting a call
The language the agent uses for calls
Available options:
en, es Whether the agent's calls are recorded
Last modified on September 3, 2026